Unit tagh7r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, AGH7R_p;

function tagh7r: String;

implementation

function tagh7r: String;
var
J,I,N,MM,M,IERR :Integer;
RLB,RUB :Real;
EV :Array [0..3] of Real;
IRAB :Array [0..3] of Integer;
RAB :Array [0..24] of Real;
const
A :Array [0..24] of Real = ( 10.0,0.0,0.0,0.0,0.0,2.0,12.0,0.0,0.0,0.0,3.0,
1.0,11.0,0.0,0.0,1.0,2.0,1.0,9.0,0.0,1.0,1.0,-1.0,
1.0,15.0 );
B :Array [0..24] of Real = ( 12.0,0.0,0.0,0.0,0.0,1.0,14.0,0.0,0.0,0.0,-1.0,
1.0,16.0,0.0,0.0,2.0,-1.0,-1.0,12.0,0.0,1.0,1.0,
1.0,-1.0,11.0 );
begin
Result := '';  {   }
Result := Result + Format('%s',
 [' BCEHE HEKOTOPX COCTBEHHX HAEH ' + #$0D#$0A +
 ' YPABHEH ABX=LAMBDA*X  BAX=LAMBDA*X, E A  B - ' + #$0D#$0A +
 ' BEECTBEHHE CMMETPECKE MATP']) + #$0D#$0A; 
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[' A' + #$0D#$0A]);
for I:=1 to 5 do
 begin
  for J:=1 to 5 do
   begin
    Result := Result + Format(' %20.16f ',[A[(I-1)+(J-1)*5]]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[' B' + #$0D#$0A]);
for I:=1 to 5 do
 begin
  for J:=1 to 5 do
   begin
    Result := Result + Format(' %20.16f ',[B[(I-1)+(J-1)*5]]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
N := 5;
MM := 4;
RLB := 70.0;
RUB := 170.0;
AGH7R(N,MM,M,RLB,RUB,A,B,EV,IRAB,RAB,IERR);
Result := Result + Format('%s',[' PEYTAT']) + #$0D#$0A; 
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[' A' + #$0D#$0A]);
for I:=1 to 5 do
 begin
  for J:=1 to 5 do
   begin
    Result := Result + Format(' %20.16f ',[A[(I-1)+(J-1)*5]]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[' B' + #$0D#$0A]);
for I:=1 to 5 do
 begin
  for J:=1 to 5 do
   begin
    Result := Result + Format(' %20.16f ',[B[(I-1)+(J-1)*5]]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[' EV' + #$0D#$0A]);
for I:=1 to 4 do
 begin
  Result := Result + Format('%20.16f ',[EV[I-1]]) + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[' IERR' + #$0D#$0A]);
Result := Result + Format('%8d ',[IERR]) + #$0D#$0A;
UtRes('tagh7r',Result);  {     tagh7r.res }
exit;
end;

end.
